DIPlib Documentation - ©1995-2009 Quantitative Imaging Group, Delft University of Technology.

# ImageWriteTIFF

Write TIFF image to file (in dipIO)

## SYNOPSIS

`#include "dipio_tiff.h"`

dip_Error ImageWriteTIFF ( image, filename, photometric, physDims, compression )

## FUNCTION

This function writes the image to a TIFF file, overwriting any other file with the same name. `photometric` can set to let the function know how to write the TIFF image (supported colour spaces are RGB, CIE Lab and CMYK).

If `photometric` is not `DIPIO_PHM_GRAYVALUE`, a 3D image is expected, in which the different planes are stored along the 3rd dimension.

`physDims` gives physical dimensions of the image, which will be used to set the dots per inch property of the TIFF file. It can be set to 0 for default values (300 dpi). If the `physDims->dimensionUnits` is not given, meters are assumed.

## ARGUMENTS

Data type | Name | Description
`dip_Image` | `image` | Output image
`dip_String` | `filename` | File name
`dipio_PhotometricInterpretation` | `photometric` | Photometric interpretation
`dip_PhysicalDimensions` | `physDims` | Physical dimensions structure. See `PhysicalDimensionsNew`
`dipio_Compression` | `compression` | Compression method and level. See Compression methods for image files

The enumerator `dipio_PhotometricInterpretation` contains the following constants:

Name | Description
`DIPIO_PHM_GREYVALUE` | No colour information present; it's a grey-value image.
`DIPIO_PHM_RGB` | RGB image (the first three planes are red, green and blue)
`DIPIO_PHM_RGB_NONLINEAR` | Non-linear R'G'B' image (RGB channels to the power of 0.4)
`DIPIO_PHM_CMY` | CMY image (the first three planes are cyan, magenta and yellow)
`DIPIO_PHM_CMYK` | CMYK image (the first four planes are cyan, magenta, yellow and black)
`DIPIO_PHM_CIELUV` | CIE L*u'v' image (the first three planes are luminosity, u* and v*)
`DIPIO_PHM_CIELAB` | CIE L*a*b* image (the first three planes are luminosity, a* and b*)
`DIPIO_PHM_CIEXYZ` | CIE XYZ (the first three planes are X, Y and Z)
`DIPIO_PHM_CIEYXY` | CIE Yxy (the first three planes are Y, x and y)
`DIPIO_PHM_HCV` | HCV image (the first three planes are hue, chroma and value)
`DIPIO_PHM_HSV` | HSV image (the first three planes are hue, saturation and value)
`DIPIO_PHM_DEFAULT` | Same as `DIPIO_PHM_GREYVALUE`
`DIPIO_PHM_GENERIC` | Anything can be coded in the channels; the same as `DIPIO_PHM_CMYK`

Most file formats support only some of these.

## SOFTWARE

This function uses `libtiff` (version 3.6.1 or later), which supports the TIFF specification revision 6.0. Copyright (c)1988-1997 Sam Leffler and Copyright (c)1991-1997 Silicon Graphics, Inc.

This function uses `zlib` (version 1.1.4 or later). Copyright (c)1995-2002 Jean-loup Gailly and Mark Adler

## SEE ALSO

`ImageWrite`, `ImageWriteColour`, `ImageReadTIFF`, `ImageIsTIFF`

DIPlib on-line documentation | Function reference | Global function index